<!-- balance 余额明细 -->
<template>
    <div>
        <h3>支付宝付款订单</h3>
        <el-table
                :data="tableData"
                height="250"
                style="width: 100%">
            <el-table-column prop="nn" label="用户名" width="180">
            </el-table-column>
            <el-table-column
                    prop="order_no"
                    label="订单号"
                    width="180">
            </el-table-column>
            <el-table-column
                    prop="original_total"
                    label="金额"
                    width="180">
            </el-table-column>
            <el-table-column
                    prop="created_at"
                    label="日期"
                    width="180">
            </el-table-column>
        </el-table>


        今日支付宝总转账额 : {{this.summary}}
    </div>


</template>


<script>
    import * as api from '@/api'
    import axios from '../../components/downloadFile/axios'

    export default {
        name: 'alipay',
        data() {
            return {
                tableData: [],
                radio: 0,
                summary: 0,
            }
        },
        created() {
            this.init()
        },
        methods: {
            //初始化方法
            init() {
                this.userInfo = sessionStorage.userInfo && JSON.parse(sessionStorage.userInfo) || {}
                this.getData();
            },
            getData(){
                api.seller_order_paid({
                    'user_id': this.userInfo.id
                }).then(res => {
                    this.tableData = res.data.data;
                    this.summary = res.data.summary;
                }).finally(() => {
                    this.m_tableLoading = false
                })
            }
        }
    }

</script>
<style lang='scss' scoped>
</style>